/** @file
 * $Source: /home/cvsmanager/yoda/event/physics/trigger/TriggerEvent.h,v $
 * $Id: TriggerEvent.h,v 4.5 2005/08/29 08:27:55 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Header file for the raw calorimeter events
 */
#ifndef TRIGGER_EVENT_H
#define TRIGGER_EVENT_H

#include <exception>
#include "../../SubPacket.h"

namespace pamela {
  /** 
   * Namespace 
   */
  namespace trigger {
    /**
     * Techmodel trigger data.
     */
    class TriggerEvent: public pamela::SubPacket {
    private:

    public:
      TriggerEvent(void);
      ~TriggerEvent(void);
      int         evcount;
      int         pmtpl[3];
      int         trigrate[6];
      int         dltime[2];
      int         s4calcount[2]; 
      int         pmtcount1[24];
      int         pmtcount2[24];
      int         patternbusy[3];
      int         patterntrig[6];
      int         trigconf;
      ClassDef(TriggerEvent, 1)
    };
  }
}
#endif /* TRIGGER_EVENT_H */
